Subject: Re: next-20080723: build fails for dm-snapshot.ko

From: Mikulas Patocka <[email-masked]>
Date: Wed, 23 Jul 2008 14:33:00 -0400 (EDT)

On Wed, 23 Jul 2008, Adrian Bunk wrote:

> On Wed, Jul 23, 2008 at 07:58:37PM +0200, Thomas Meyer wrote:
> > 
> >   Building modules, stage 2.
> > Kernel: arch/x86/boot/bzImage is ready  (#24)
> >   MODPOST 1518 modules
> > ERROR: "__umoddi3" [drivers/md/dm-snapshot.ko] undefined!
> > WARNING: modpost: Found 6 section mismatch(es).
> > To see full details build your kernel with:
> > 'make CONFIG_DEBUG_SECTION_MISMATCH=y'
> > make[1]: *** [__modpost] Error 1
> > make: *** [modules] Error 2
> >...
> 
> Which gcc version are you using?
> 
> Please send the complete .config
> 
> cu
> Adrian

I'm going to compile it on 32-bit computer to try.

But I'd just suggest: why don't we add these functions __umoddi3 __udivdi3 
and so to the kernel? This is not the first time I see it and it is pretty 
annoying (and compiler- and optimization-dependent bug).

Mikulas